# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Set Hadoop-specific environment variables here.
# Forcing YARN-based mapreduce implementaion.
# Make sure to comment out if you want to go back to the default or
# if you want this to be tweakable on a per-user basis
# export HADOOP_MAPRED_HOME=/usr/lib/hadoop-mapreduce

# The maximum amount of heap to use, in MB. Default is 1000.
export HADOOP_HEAPSIZE=256

# Extra Java runtime options.  Empty by default.
export HADOOP_NAMENODE_OPTS="$HADOOP_NAMENODE_OPTS -Xmx512m"
export YARN_OPTS="$YARN_OPTS -Xmx256m"